#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	SDL2_image
Version		:	2.0.5
Release		:	14.4.0.0%{?dist}
Summary		:	mage loading library for SDL

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://www.libsdl.org/projects/SDL_image/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	: 	SDL2
BuildRequires	:	libjpeg-turbo
BuildRequires	:	libpng
BuildRequires	:	libtiff
#-----------------------------------------------------------------------------
%description
SDL_image is an image loading library that is used with the SDL library,
and almost as portable. It allows a programmer to use multiple image
formats without having to code all the loading and conversion
algorithms themselves.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGES.txt
%license COPYING.txt
%{_bindir}/showimage2
%{_libdir}/lib%{name}-2.0.so.*
 
#=============================================================================
%package		devel
Summary		:	Development files for %{name}

Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc README.txt
%{_includedir}/SDL2/SDL_image.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-tif					\
	--disable-jpg-shared				\
	--disable-png-shared				\
	--disable-tif-shared				\
	--disable-static

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install


%{__mkdir_p} %{buildroot}%{_bindir}
./libtool						\
	--mode=install					\
	/usr/bin/install showimage			\
	%{buildroot}%{_bindir}/showimage2

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
